#ifndef _TEST_DATA10EM_CLASS_
#define _TEST_DATA10EM_CLASS__

// mod 10/10 to remove LstArray class references
// 10/04 all vestiges of groups removed
// further mods dt 10/04, minimize more for 285
// mods dt 8/02 to minimize for CW
// mod dt 2/9/99
// Tiny modification by JLV 3/16/99 (just a grammar correction in output message)
// "Clean up" dt 5/20/99
// modded dt 11/00 to begin irtlrdif... added mods for missing->255
//		later maybe remove permutation entirely?

#include <iostream> 
#include <fstream>
#include <string>
#include <vector>
#include <valarray>
#include "IRT10em.h"

using namespace std;		// namespace std is now conventional in C++ code

#define kZeroByte 0
#define missing -1     // added dt 12/00 missing?
extern ofstream outfile1;

class TestData {

public:
	int nppl;
	int nitems;
 	char DatFile[64];

 	void ChangeSize(int np, int ni);
 	void EMfit(); // EM added
 
	vector< vector<char> > X;  	// dt change 5/99 / 10/10
    valarray<int> NcatCode; 		// added dt 3/99 / 10/10
	IRT10em *theIRTstruct; // in irtlrdif version, use this for overall fit
	double mu, sigma;
	int nAlts;
	
//  constructor
	TestData(); // in testdata.cp
//  destructor
	~TestData(); // in testdata.cp

// minimal read-data routine prototypes, moved into TestData.h dt 11/4
	void GetFileI(char szSavedFileName[]);
	void GetFileO(char szSavedFileName[]);

	void RData(void);

	void WFirstLast(int howmany);

};

#endif /* _TEST_DATA10EM_CLASS__ */
