// driver.cc 
// dt, 2/14/99, changed globals and EM in
// Enhanced version distributed by JLV 3/16/99
// "Clean up" dt, 5/20/99
// modification begins to IRT-LR dif dt 11/21/00 -- 12/7/00
// stripped back down to one group, dt 8/02
// further reduced to become the 285 version, dt 10/04
// mod 10/10 to remove LstArray class references

#include <iostream>
#include "TestData10em.h"
#include "IRT10em.h"

using namespace std;		// namespace std is now conventional in C++ code

ofstream outfile1;	// the output file
int lots = 1;		// debug output flag; normally zero
TestData theData;	// theData points to class TestData structure
					// that will ultimately hold both the data
					// and the IRT04em structure

int main() {
	char name[64]; 	// for the output file name
	IRT10em *test; 	// space for a pointer to the IRT04em structure
	
	theData.RData(); // reads the data (amounts to initialization of theData)

	cout << endl << "Enter Output File Name: ";
	cin.getline(name, 64);
	outfile1.open(name, ios::out);

	theData.WFirstLast(3);	// let us know we read the data properly?

	theData.theIRTstruct = new IRT10em; // EM moved
	test = theData.theIRTstruct;

// EM 
	cout << endl << "EM: " << endl;
	if (lots > 0) outfile1 << endl << "EM: " << endl;
	(*test).ChangeNitems(theData.nitems);
	theData.EMfit();

	cout << endl << "Completed successfully." << endl;
} // end of main

